version: '3.4'

#PARR JOB AUTO CONTROL
services:
  parr-job-auto-control:
    image: harbor.dvgd.rzd/parr/parr-job-auto-control:${tag-latest}
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - TZ=Europe/Moscow
    logging:
      driver: fluentd
      options:
        fluentd-address: dvgd-efk-01.dvgd.oao.rzd:24224
        fluentd-retry-wait: '10s'
        fluentd-max-retries: '30'
        fluentd-async: 'true'
        fluentd-buffer-limit: '52428800'
        tag: parr.job-auto-control.serilog
    deploy:
      replicas: 1  
    networks:
      parr-network:

networks:
  parr-network:
    driver: overlay
    external: true